.switch{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width:60px;
    height:50px;
}

input[name = "dark"]{
    width:50px;
    height:20px;
    position: relative;
    outline: none;
    -webkit-appearance: none;
    background-color: rgb(253, 253, 253);
    border: 1px solid #000000.2;
    border-radius: 20px;
    box-shadow: 0 5px #000000.2 inset;
}

input:checked[name = "dark"]{
    background-color: #ffffff;
}

input[name = "dark"]::before{
    content: '';
    width: 20px;
    height:20px;
    background-color: #007ee5;
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 50%;
    box-shadow: 0 2px 5px #000000.2 inset;
    transform: scale(1.2);
    transition: .25s;
    cursor: pointer;
}

input:checked[name = "dark"]::before{
    position: absolute;
    left:30px
}

.turnOn{
    color: #fff;
    background-color: black;
}

.turnOnInput{
    background-color: rgb(78, 78, 78);
}

.turnOnInput::placeholder{
    color: #fff;
}